from django.contrib import admin
from django.urls import path, include
from django.conf.urls.static import static
from django.conf import settings
from django.contrib.auth import views
from django.contrib.auth import views as auth_views

from BasicData import password_views

urlpatterns = [
    path('admin/', admin.site.urls, name="admin"),
    path('', include('BasicData.urls')),
    path('enseignant/', include('EspaceEnseignant.urls')),
    path('etudiant/', include('EspaceEtudiant.urls')),
    path('scolarite/', include('Scolarite.urls')),
    #path('drh/', include('Drh.urls')),
    path('drh/', include('EspaceDRH.urls')),
    path('pat/', include('EspacePAT.urls')),
    path("unicorn/", include("django_unicorn.urls")),
    #path("accounts/", include("django.contrib.auth.urls")),
    #path('change-password/', views.PasswordChangeView.as_view(), name="change-password"),

    path("password_reset", password_views.password_reset_request, name="password_reset"),
    path('password_reset/done/', auth_views.PasswordResetDoneView.as_view(template_name='password/password_reset_done.html'), name='password_reset_done'),
    path('reset/<uidb64>/<token>/', auth_views.PasswordResetConfirmView.as_view(template_name='password/password_reset_confirm.html'), name='password_reset_confirm'),
    path('reset/done/', auth_views.PasswordResetCompleteView.as_view(template_name='password/password_reset_complete.html'), name='password_reset_complete'),

]
urlpatterns += static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)
urlpatterns += static(settings.STATIC_URL, document_root=settings.STATIC_ROOT)

#handler404 = "usp_pedagogie.error_views.page_not_found_view"
